Bug 110707 - llvm-config: unknown component name: x86asmprinter
Summary: llvm-config: unknown component name: x86asmprinter
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/llvmpipe (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-19 00:35 UTC by Vinson Lee
Modified: 2019-05-24 16:29 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2019-05-19 00:35:44 UTC
SCons build error with LLVM 9.

llvm-config: unknown component name: x86asmprinter
Comment 1 Roland Scheidegger 2019-05-21 19:42:58 UTC
Yes this component apparently disappeared.
By the looks of it a lot of the code got moved into MCTargetDesc, but I'm not sure yet if it actually needs another lib added instead or if it can just be removed.
Comment 2 Roland Scheidegger 2019-05-24 16:29:50 UTC
Fixed by 84f3f1cf00fec036c9f503ce46e8bbcc3f9b4ae9.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.